Loading...
Searching...
No Matches
casacore::Sequence< t > Class Template Referenceabstract
casa package (libcasa_casa) » Utilities_module

More...

`#include <Sequence.h>`

## Public Member Functions

virtual | ~Sequence ()
virtual t | getNext ()=0
| Force derived classes to provide this function, to return the next value in the sequence.

## Detailed Description

template<class t>
class casacore::Sequence< t >

virtual templated base class for sequences

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1995/03/17

### Synopsis

The virtual base class for sequences in the library. It is templated to allow users to derive sequences of any type, e.g. libg++'s Integers.

Definition at line 46 of file Sequence.h.

## Constructor & Destructor Documentation

## ~Sequence()

template<class t>

virtual casacore::Sequence< t >::~Sequence | ( |  | ) |

inline virtual

Definition at line 48 of file Sequence.h.

## Member Function Documentation

## getNext()

template<class t>

virtual t casacore::Sequence< t >::getNext | ( |  | ) |

pure virtual

Force derived classes to provide this function, to return the next value in the sequence.

Implemented in casacore::uIntSequence.

The documentation for this class was generated from the following file:

- casa/Utilities/Sequence.h